libebook::FictionBook2TableContext Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::FictionBook2TableContext Class Reference

`#include <FictionBook2TableContext.h>`

Inheritance diagram for libebook::FictionBook2TableContext:

## Public Member Functions
| FictionBook2TableContext (FictionBook2ParserContext *parentContext, const FictionBook2BlockFormat &format)
| ~FictionBook2TableContext () override
Public Member Functions inherited from libebook::FictionBook2BlockFormatContextBase
| FictionBook2BlockFormatContextBase (FictionBook2ParserContext *parentContext, const FictionBook2BlockFormat &format)
FictionBook2BlockFormat & | getBlockFormat ()
const FictionBook2BlockFormat & | getBlockFormat () const
void | setLang (const char *lang)
Public Member Functions inherited from libebook::FictionBook2NodeContextBase
| FictionBook2NodeContextBase (FictionBook2ParserContext *parentContext, FictionBook2Collector *collector=nullptr)
Public Member Functions inherited from libebook::FictionBook2ParserContext
| FictionBook2ParserContext (FictionBook2ParserContext *parentContext, FictionBook2Collector *collector=nullptr)
| Create a new context with `parentContext` as parent.
FictionBook2XMLParserContext * | leaveContext () const override
| Destroy this context and return parent.
FictionBook2Collector * | getCollector () const
| Get the collector.
FictionBook2ParserContext * | getParentContext () const
| Get the parent context.
Public Member Functions inherited from libebook::FictionBook2XMLParserContext
virtual | ~FictionBook2XMLParserContext ()=0

## Private Member Functions
| FictionBook2TableContext (const FictionBook2TableContext &other)
FictionBook2TableContext & | operator= (const FictionBook2TableContext &other)
FictionBook2XMLParserContext * | element (const FictionBook2TokenData &name, const FictionBook2TokenData &ns) override
| Create a context for parsing a child element.
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
void | attribute (const FictionBook2TokenData &name, const FictionBook2TokenData *ns, const char *value) override
| Process an attribute.

## Private Attributes
std::shared_ptr< FictionBook2TableModel > | m_model

## Constructor & Destructor Documentation

## ◆ FictionBook2TableContext() [1/2]

libebook::FictionBook2TableContext::FictionBook2TableContext | ( | const FictionBook2TableContext & | other | ) |
| private

## ◆ FictionBook2TableContext() [2/2]

libebook::FictionBook2TableContext::FictionBook2TableContext | ( | FictionBook2ParserContext * | parentContext,
|  | const FictionBook2BlockFormat & | format
| ) |  |

## ◆ ~FictionBook2TableContext()

libebook::FictionBook2TableContext::~FictionBook2TableContext | ( |  | ) |
| override

## Member Function Documentation

## ◆ attribute()

void libebook::FictionBook2TableContext::attribute | ( | const FictionBook2TokenData & | name,
|  | const FictionBook2TokenData * | ns,
|  | const char * | value
| ) |  |
| overrideprivatevirtual

Process an attribute.

Attributes are handled to the current element's context one by one.

Implements libebook::FictionBook2XMLParserContext.

## ◆ element()

FictionBook2XMLParserContext * libebook::FictionBook2TableContext::element | ( | const FictionBook2TokenData & | name,
|  | const FictionBook2TokenData & | ns
| ) |  |
| overrideprivatevirtual

Create a context for parsing a child element.

Returns
  A new context or `0` if the child element cannot be handled.

Implements libebook::FictionBook2XMLParserContext.

## ◆ endOfElement()

void libebook::FictionBook2TableContext::endOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the end of an element.

Implements libebook::FictionBook2XMLParserContext.

## ◆ operator=()

FictionBook2TableContext & libebook::FictionBook2TableContext::operator= | ( | const FictionBook2TableContext & | other | ) |
| private

## ◆ startOfElement()

void libebook::FictionBook2TableContext::startOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Reimplemented from libebook::FictionBook2NodeContextBase.

## Member Data Documentation

## ◆ m_model

std::shared_ptr<FictionBook2TableModel> libebook::FictionBook2TableContext::m_model
| private

Referenced by element().

The documentation for this class was generated from the following files:

- FictionBook2TableContext.h
- FictionBook2TableContext.cpp